Create an agent binary download source
- Base URL
-
https://{kibana_url}
-
POST
/api/fleet/agent_download_sources
-
POST
/s/{space_id}/api/fleet/agent_download_sources
Auth
Create a new agent binary download source.
-
Privileges
fleet-settings-all
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
A required header to protect against CSRF attacks
-
auth
object
nullable
-
-
host
string · format: uri
required
-
is_default
boolean · default: false
-
proxy_id
string
nullable
-
The ID of the proxy to use for this download source. See the proxies API for more information.
-
secrets
object
-
-
auth
object
-
-
api_key
union anyOf
-
Any of:
-
password
union anyOf
-
Any of:
-
ssl
object
-
-
ssl
object
-
-
certificate_authorities
string[] · max items: 10
-
item
object
required
-
-
auth
object
nullable
-
-
host
string · format: uri
required
-
is_default
boolean · default: false
-
proxy_id
string
nullable
-
The ID of the proxy to use for this download source. See the proxies API for more information.
-
secrets
object
-
-
auth
object
-
-
api_key
union anyOf
-
Any of:
-
password
union anyOf
-
Any of:
-
ssl
object
-
-
ssl
object
-
-
certificate_authorities
string[] · max items: 10
-
attributes
object
required